Profile Events

Get the events of a public Facebook page

1 creditper request
GET
/v1/facebook/profile/events
curl "https://api.scrapecreators.com/v1/facebook/profile/events" \
  -H "x-api-key: "
{
  "success": true,
  "credits_remaining": 49998108820,
  "events": [
    {
      "id": "1596643298218453",
      "__typename": "Event",
      "name": "Harrison Steele at Brickyard",
      "is_canceled": false,
      "event_creator": {
        "__typename": "User",
        "__isEntity": "User",
        "url": "https://www.facebook.com/brickyardoldtown",
        "name": "Brickyard",
        "id": "100066639371774"
      },
      "event_place": {
        "__typename": "FreeformPlace",
        "contextual_name": "Brickyard",
        "location": {
          "reverse_geocode": {
            "city": "Wichita"
          }
        },
        "__isNode": "FreeformPlace",
        "id": "1594193222711146"
      },
      "day_time_sentence": "Thu, May 7 at 6:00 PM CDT",
      "url": "https://www.facebook.com/events/1596643298218453/",
      "gif_cover_photo": null,
      "cover_video": null,
      "__isEntity": "Event",
      "event_kind": "PUBLIC_TYPE",
      "is_happening_now": false,
      "is_online_or_detected_online": false,
      "is_past": false,
      "start_timestamp": 1778194800
    },
    {
      "id": "26678639021771578",
      "__typename": "Event",
      "name": "Jeremy & Nick at Brickyard",
      "is_canceled": false,
      "event_creator": {
        "__typename": "User",
        "__isEntity": "User",
        "url": "https://www.facebook.com/brickyardoldtown",
        "name": "Brickyard",
        "id": "100066639371774"
      },
      "event_place": {
        "__typename": "Page",
        "contextual_name": "Brickyard",
        "location": {
          "reverse_geocode": {
            "city": "Wichita"
          }
        },
        "__isNode": "Page",
        "id": "274995392617693"
      },
      "day_time_sentence": "Fri, May 8 at 5:30 PM CDT",
      "url": "https://www.facebook.com/events/26678639021771578/",
      "gif_cover_photo": null,
      "cover_video": null,
      "__isEntity": "Event",
      "event_kind": "PUBLIC_TYPE",
      "is_happening_now": false,
      "is_online_or_detected_online": false,
      "is_past": false,
      "start_timestamp": 1778279400
    },
    {
      "id": "25926295053738863",
      "__typename": "Event",
      "name": "AJ Harvey at Brickyard",
      "is_canceled": false,
      "event_creator": {
        "__typename": "User",
        "__isEntity": "User",
        "url": "https://www.facebook.com/brickyardoldtown",
        "name": "Brickyard",
        "id": "100066639371774"
      },
      "event_place": {
        "__typename": "FreeformPlace",
        "contextual_name": "Brickyard",
        "location": {
          "reverse_geocode": {
            "city": "Wichita"
          }
        },
        "__isNode": "FreeformPlace",
        "id": "1303443241886976"
      },
      "day_time_sentence": "Fri, May 8 at 9:00 PM CDT",
      "url": "https://www.facebook.com/events/25926295053738863/",
      "gif_cover_photo": null,
      "cover_video": null,
      "__isEntity": "Event",
      "event_kind": "PUBLIC_TYPE",
      "is_happening_now": false,
      "is_online_or_detected_online": false,
      "is_past": false,
      "start_timestamp": 1778292000
    }
  ],
  "cursor": "eyJpZCI6IllYQ.....",
  "has_next_page": true,
  "total_count": 22
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

url
string
required

The URL of the public Facebook page

Example:
https://www.facebook.com/brickyardoldtown
cursor
string

The cursor to paginate to get more events

Example:
eyJpZCI6IllYQndYMk52Ykd......